### Method

# Gtk Widget compute_bounds

#### Declaration [src]

    gboolean
    gtk_widget_compute_bounds (
      GtkWidget* widget,
      GtkWidget* target,
      graphene_rect_t* out_bounds
    )

#### Description [src]

Computes the bounds for `widget` in the coordinate space of `target`.

FIXME: Explain what “bounds” are.

If the operation is successful, `TRUE` is returned. If `widget` has no bounds or the bounds cannot be expressed in `target`‘s coordinate space (for example if both widgets are in different windows), `FALSE` is returned and `bounds` is set to the zero rectangle.

It is valid for `widget` and `target` to be the same widget.

#### Parameters

`target` | `GtkWidget`
| The `GtkWidget`.
| The data is owned by the caller of the function.
`out_bounds` | `graphene_rect_t*`
| The rectangle taking the bounds.
| The argument will be set by the function.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the bounds could be computed.